import {
  createActionStructure,
  createAsyncStructure,
  createResourceStructure,
} from 'store/utils/actions';

import constants from './constants';

const actions = {
  ...createResourceStructure(`${constants.prefix}`),
  detailFormData: createAsyncStructure(`${constants.prefix}_form_data`),
  exportFormData: createAsyncStructure(`${constants.prefix}_export_data`),
};

export default actions;
